Bug 426926 - XEN consistently crash with <=512Mb RAM
XEN consistently crash with <=512Mb RAM
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Xen Maintainance List
Martin Jenner
:
Depends On:
Blocks: 514491
  Show dependency treegraph
 
Reported: 2007-12-28 09:40 EST by Gavin
Modified: 2010-11-09 08:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-22 14:51:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xend.log (882.59 KB, text/plain)
2007-12-28 12:08 EST, Gavin
no flags Details
Guest log x86_64 (248.41 KB, text/plain)
2007-12-28 12:34 EST, Gavin
no flags Details
xend.log (12.30 KB, text/plain)
2007-12-28 12:49 EST, Shad L. Lords
no flags Details
Guest console log (309.44 KB, text/plain)
2007-12-28 12:50 EST, Shad L. Lords
no flags Details

  None (edit)
Description Gavin 2007-12-28 09:40:58 EST
Description of problem:
When trying to install via XEN this applies to both i386 and x86_64 it
consistently crashes with <=512Mb RAM i.e crashes when installing packages.

How reproducible:

Install giving your XEN 512Mb of RAM.

Please advise on more information if required. Thanks.
Comment 1 Daniel Berrange 2007-12-28 11:06:38 EST
Please provide the logs from virt-manager / virt-install  - whichever you used -
they are in /root/.virt-install or /root/.virt-manager.

Also provide /var/log/xen/xend.log. 

What architecture is the host OS.
What architecture is the guest OS.
What version are the 'kernel-xen' and 'xen' RPMs. 

Is it a fullvirt or paravirt guest ?
If it is a paravirt guest, and you get a kernel-panic please enable guest
logging in /etc/sysconfig/xend, reboot and do the install again - you should
then get a log of the guest kernel in /var/log/xen/console/ which you can attach
to this BZ.
Comment 2 Gavin 2007-12-28 12:05:42 EST
(In reply to comment #1)
> Please provide the logs from virt-manager / virt-install  - whichever you used -
> they are in /root/.virt-install or /root/.virt-manager.
>

I don't have anything in the /root/.virt-manager going back to the 25th December
2007
 
> Also provide /var/log/xen/xend.log. 

Please see attached.

> What architecture is the host OS.

My host is x86_64.

> What architecture is the guest OS.

The guest is either i386 or x86_64

> What version are the 'kernel-xen' and 'xen' RPMs. 

[root@localhost /]# rpm -qa xen*
xen-libs-3.0.3-41.el5
xen-3.0.3-41.el5
xen-libs-3.0.3-41.el5
[root@localhost /]#

[root@localhost /]# rpm -q kernel-xen
kernel-xen-2.6.18-53.1.4.el5
[root@localhost /]# uname -r
2.6.18-53.1.4.el5xen
[root@localhost /]# 
 
> Is it a fullvirt or paravirt guest ?

paravirt

> If it is a paravirt guest, and you get a kernel-panic please enable guest
> logging in /etc/sysconfig/xend, reboot and do the install again - you should
> then get a log of the guest kernel in /var/log/xen/console/ which you can 
> attach to this BZ.

Will set parameter and attach shortly.

Comment 3 Gavin 2007-12-28 12:08:40 EST
Created attachment 290491 [details]
xend.log

Attached /var/log/xen/xend.log
Comment 4 Daniel Berrange 2007-12-28 12:13:34 EST
NB - do not run  i386  guests on an x86_64 host. This is known to crash and is
not supported in RHEL5.1.  If you can reproduce crashes running x86_64 guest on
x86_64 host, that is useful and we can continue to debug in this BZ, but we
can't debug i386 guests on x86_64 hosts.
Comment 5 Daniel Berrange 2007-12-28 12:14:37 EST
Opps, just to clarify - my comment about i386 on x86-64 not being supported was
only wrt to paravirt guest. Fullvirt can run  i386 on x86_64 without issue.
Comment 6 Shad L. Lords 2007-12-28 12:23:00 EST
I've been working with Gavin and can consistently reproduce a crash at the same
place as he can.  Difference is that my xen host is i386 with a i386 guest. 
I'll need to schedule downtime to restart the xen host to enable client logging
then I'll attach same logs.
Comment 7 Gavin 2007-12-28 12:34:47 EST
Created attachment 290494 [details]
Guest log x86_64

Attached from /var/log/xen/console

This is from trying a guest os install x86_64
Comment 8 Shad L. Lords 2007-12-28 12:49:32 EST
Created attachment 290495 [details]
xend.log
Comment 9 Shad L. Lords 2007-12-28 12:50:05 EST
Created attachment 290496 [details]
Guest console log
Comment 10 Chris Lalancette 2009-11-24 16:33:09 EST
This is a very old bug, so sorry about that.  Is this still an issue?  I assume it is, but we can't do much about some of them.  For instance, it's well-known that in an x86_64 guest, 512MB is not enough to run anaconda.  It runs out of memory, the OOM killer kicks in, and the installation fails.

I've been able to successfully install i386 guests with = 512MB of memory in the past, but going much below that will probably run into problems.  Is this consistent with your observations using the latest software?

Chris Lalancette
Comment 12 Paolo Bonzini 2010-02-23 12:07:11 EST
This is a very old bug, but it still seems interesting to give it a look.

The strange part is that vbd.c calls blk_queue_max_phys_segments(rq, BLKIF_MAX_SEGMENTS_PER_REQUEST) but still we get a request beyond that limit.
Comment 13 Andrew Jones 2010-06-22 13:00:27 EDT
If this isn't still reproducing, then I would like to close it out. Gavin, does this still happen?
Comment 14 Gavin 2010-06-22 14:25:50 EDT
Hi Andrew,

I believe we can close this bug as I'm now running a new machine with 8GB of RAM so no longer have the need to run with <=512MB

Just out of curiosity I did try a install with the same scenario as  per comment#2 and managed to install successfully. Below are the rpm output with a xen running 512 MB successfully.

[root@localhost ~]# rpm -qa xen*
xen-3.0.3-94.el5_4.3
xen-libs-3.0.3-94.el5_4.3
[root@localhost ~]# rpm -q kernel-xen
kernel-xen-2.6.18-164.10.1.el5
kernel-xen-2.6.18-164.11.1.el5
kernel-xen-2.6.18-164.15.1.el5
[root@localhost ~]# uname -r
2.6.18-164.15.1.el5xen
[root@localhost ~]#


Thanks.
Comment 15 Andrew Jones 2010-06-22 14:51:25 EDT
Thanks Gavin!
Comment 16 Chris Lalancette 2010-07-19 09:52:02 EDT
Clearing out old flags for reporting purposes.

Chris Lalancette

Note You need to log in before you can comment on or make changes to this bug.